#include "xstatement.h"

XStatement::XStatement()
    : XAsset()
    , mNumEntries(0)
    , mEntries()
{
    SetName("Statement");
}

XStatement::~XStatement()
{
    
}

void XStatement::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XStatement::ParseData
}

void XStatement::Clear()
{
    mNumEntries = 0;
    mEntries.clear();
}
